Error
A valid request URL is required to generate request examples{
"outputs": [
{
"name": "name",
"sensitive": true,
"type": "string"
},
{
"name": "name",
"sensitive": true,
"type": "string"
}
],
"depends_on": [
"depends_on",
"depends_on"
],
"replicas": 0,
"annotations": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"init_spec": {
"args": [
"args",
"args"
],
"command": [
"command",
"command"
]
},
"execution_config": {
"args": [
"args",
"args"
],
"environment_variables": [
{
"name": "name",
"self_output": "self_output",
"value": "value"
},
{
"name": "name",
"self_output": "self_output",
"value": "value"
}
],
"command": [
"command",
"command"
]
},
"volume_mounts": [
{
"stack_resource_id": "stack_resource_id",
"source_volume_name": "source_volume_name",
"source_volume_type": null,
"source_sub_path": "source_sub_path",
"target_path": "target_path"
},
{
"stack_resource_id": "stack_resource_id",
"source_volume_name": "source_volume_name",
"source_volume_type": null,
"source_sub_path": "source_sub_path",
"target_path": "target_path"
}
],
"source": {
"volume": {
"volume_id": "volume_id",
"current_volume_hash": "current_volume_hash",
"volume_name": "volume_name",
"build_context": ".",
"dockerfile_path": "Dockerfile"
},
"image": {
"ref": "ref",
"registry_credentials_id": "registry_credentials_id"
},
"git": {
"repo_url": "repo_url",
"integration_id": "integration_id",
"commit": "commit",
"build_context": ".",
"tag": "tag",
"dockerfile_path": "Dockerfile",
"branch": "branch",
"push": {
"registry_credentials_id": "registry_credentials_id",
"repository": "repository"
}
}
},
"ports": [
{
"number": 0,
"protocol": "protocol",
"exposed_to_public": true,
"name": "name",
"subdomain_prefix": "subdomain_prefix"
},
{
"number": 0,
"protocol": "protocol",
"exposed_to_public": true,
"name": "name",
"subdomain_prefix": "subdomain_prefix"
}
],
"workload_type": "Service",
"labels": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"revision": "revision",
"schedule": "schedule",
"stack_id": "stack_id",
"name": "name",
"lifecycle_config": {
"restart_request_time": "2000-01-23T04:56:07.000Z"
},
"id": "id"
}{
"id": "<string>",
"kind": "<string>",
"href": "<string>",
"code": "<string>",
"reason": "<string>",
"operation_id": "<string>",
"details": {}
}Stacks and resources
Get a specific stack resource by name
GET
/
api
/
v1
/
organizations
/
{org_id}
/
projects
/
{project_name}
/
stacks
/
{id}
/
resources
/
{resource_name}
Error
A valid request URL is required to generate request examples{
"outputs": [
{
"name": "name",
"sensitive": true,
"type": "string"
},
{
"name": "name",
"sensitive": true,
"type": "string"
}
],
"depends_on": [
"depends_on",
"depends_on"
],
"replicas": 0,
"annotations": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"init_spec": {
"args": [
"args",
"args"
],
"command": [
"command",
"command"
]
},
"execution_config": {
"args": [
"args",
"args"
],
"environment_variables": [
{
"name": "name",
"self_output": "self_output",
"value": "value"
},
{
"name": "name",
"self_output": "self_output",
"value": "value"
}
],
"command": [
"command",
"command"
]
},
"volume_mounts": [
{
"stack_resource_id": "stack_resource_id",
"source_volume_name": "source_volume_name",
"source_volume_type": null,
"source_sub_path": "source_sub_path",
"target_path": "target_path"
},
{
"stack_resource_id": "stack_resource_id",
"source_volume_name": "source_volume_name",
"source_volume_type": null,
"source_sub_path": "source_sub_path",
"target_path": "target_path"
}
],
"source": {
"volume": {
"volume_id": "volume_id",
"current_volume_hash": "current_volume_hash",
"volume_name": "volume_name",
"build_context": ".",
"dockerfile_path": "Dockerfile"
},
"image": {
"ref": "ref",
"registry_credentials_id": "registry_credentials_id"
},
"git": {
"repo_url": "repo_url",
"integration_id": "integration_id",
"commit": "commit",
"build_context": ".",
"tag": "tag",
"dockerfile_path": "Dockerfile",
"branch": "branch",
"push": {
"registry_credentials_id": "registry_credentials_id",
"repository": "repository"
}
}
},
"ports": [
{
"number": 0,
"protocol": "protocol",
"exposed_to_public": true,
"name": "name",
"subdomain_prefix": "subdomain_prefix"
},
{
"number": 0,
"protocol": "protocol",
"exposed_to_public": true,
"name": "name",
"subdomain_prefix": "subdomain_prefix"
}
],
"workload_type": "Service",
"labels": [
{
"value": "value",
"key": "key"
},
{
"value": "value",
"key": "key"
}
],
"revision": "revision",
"schedule": "schedule",
"stack_id": "stack_id",
"name": "name",
"lifecycle_config": {
"restart_request_time": "2000-01-23T04:56:07.000Z"
},
"id": "id"
}{
"id": "<string>",
"kind": "<string>",
"href": "<string>",
"code": "<string>",
"reason": "<string>",
"operation_id": "<string>",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization
The name of the project
The id of record
The name of the stack resource
Response
Successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Where a stack resource's runtime image comes from. Exactly one of git, image, or volume must be set (enforced server-side).
Show child attributes
Show child attributes
Example:
{
"volume": {
"volume_id": "volume_id",
"current_volume_hash": "current_volume_hash",
"volume_name": "volume_name",
"build_context": ".",
"dockerfile_path": "Dockerfile"
},
"image": {
"ref": "ref",
"registry_credentials_id": "registry_credentials_id"
},
"git": {
"repo_url": "repo_url",
"integration_id": "integration_id",
"commit": "commit",
"build_context": ".",
"tag": "tag",
"dockerfile_path": "Dockerfile",
"branch": "branch",
"push": {
"registry_credentials_id": "registry_credentials_id",
"repository": "repository"
}
}
}
Show child attributes
Show child attributes
Example:
{
"args": ["args", "args"],
"command": ["command", "command"]
}
Show child attributes
Show child attributes
Example:
{
"args": ["args", "args"],
"environment_variables": [
{
"name": "name",
"self_output": "self_output",
"value": "value"
},
{
"name": "name",
"self_output": "self_output",
"value": "value"
}
],
"command": ["command", "command"]
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"restart_request_time": "2000-01-23T04:56:07.000Z"
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
Service, StatefulService, Worker, Job, CronJob Required range:
x >= 0⌘I